### Hierarchy

- IPageContentCell
  - IGridPageContentCell

## Index

### Properties

- access
- button
- dirty
- formatted_value
- index
- link
- originalStyle
- style
- value

## Properties

### Optional access

access: undefined | string

Inherited from IPageContentCell.access

- Defined in Page/Content.ts:57

### Optional button

button: IActionsButton

Inherited from IPageContentCell.button

- Defined in Page/Content.ts:58

### Optional dirty

dirty: undefined | false | true

Inherited from IPageContentCell.dirty

- Defined in Page/Content.ts:56

### Optional formatted_value

formatted_value: string | number

Inherited from IPageContentCell.formatted_value

- Defined in Page/Content.ts:50

### index

index: IPageContentCellIndex

Overrides IPageContentCell.index

- Defined in Grid3/Grid.ts:142

### Optional link

link: IPageContentLink

Inherited from IPageContentCell.link

- Defined in Page/Content.ts:52

### Optional originalStyle

originalStyle: IPageCellStyle

Inherited from IPageContentCell.originalStyle

- Defined in Page/Content.ts:55

### style

style: IPageCellStyle

Inherited from IPageContentCell.style

- Defined in Page/Content.ts:53

### value

value: string | number

Inherited from IPageContentCell.value

- Defined in Page/Content.ts:49

Generated using TypeDoc